IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_gen_cst_base_proc]') AND type = 'P')
DROP PROCEDURE [dbo].[mps_gen_cst_base_proc]
GO
create procedure [dbo].[mps_gen_cst_base_proc](
@cmpid int,
@ctid int
)
as
begin
set nocount on
exec mps_gen_cstnew @cmpid , @ctid 
exec mps_gen_cstmodify @cmpid , @ctid 
exec mps_gen_cstmodify0 @cmpid , @ctid 
exec mps_gen_cstquery @cmpid , @ctid 
exec mps_gen_cstquery_simple @cmpid , @ctid 
exec mps_gen_cstfull  @cmpid , @ctid 

exec mps_gen_cstcheck @cmpid,@ctid
exec mps_gen_cstmodify_before @cmpid,@ctid
exec mps_gen_cstmodify_after @cmpid,@ctid
exec mps_gen_cstnew_beforecreate @cmpid,@ctid
exec mps_gen_cst_aftergzh @cmpid,@ctid
exec mps_gen_cstnew_aftercreate @cmpid,@ctid
exec mps_gen_biznewdetail_before_all @cmpid,@ctid
exec mps_gen_cstnewdetail_after_all @cmpid,@ctid
exec mps_gen_bizdeletedetail_before_all @cmpid,@ctid
exec mps_gen_bizdeletedetail_after_all @cmpid,@ctid
exec mps_gen_bizmodifydetail_before_all @cmpid,@ctid
exec mps_gen_bizmodifydetail_after_all @cmpid,@ctid

set nocount off
end